serf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rhuij...@apache.org
Subject svn commit: r1757851 - /serf/trunk/dist.sh
Date Fri, 26 Aug 2016 13:42:39 GMT
Author: rhuijben
Date: Fri Aug 26 13:42:39 2016
New Revision: 1757851

URL: http://svn.apache.org/viewvc?rev=1757851&view=rev
Log:
Add some release magic, as used by the Subversion project.

Modified:
    serf/trunk/dist.sh

Modified: serf/trunk/dist.sh
URL: http://svn.apache.org/viewvc/serf/trunk/dist.sh?rev=1757851&r1=1757850&r2=1757851&view=diff
==============================================================================
--- serf/trunk/dist.sh (original)
+++ serf/trunk/dist.sh Fri Aug 26 13:42:39 2016
@@ -84,3 +84,49 @@ echo "${short}/${release}.zip ready."
 
 echo "Saving ${release} as ${release}.win"
 mv "${release}" "${release}.win"
+
+cd ${work}
+
+# allow md5sum and sha1sum tool names to be overridden
+[ -n "$MD5SUM" ] || MD5SUM=md5sum
+[ -n "$SHA1SUM" ] || SHA1SUM=sha1sum
+
+echo ""
+echo "Done:"
+
+sign_file()
+{
+  if [ -n "$SIGN" ]; then
+    type gpg > /dev/null 2>&1
+    if [ $? -eq 0 ]; then
+      if test -n "$user"; then
+        args="--default-key $user"
+      fi
+      for ARG in $@
+      do
+        gpg --armor $args --detach-sign $ARG
+      done
+    else
+      type pgp > /dev/null 2>&1
+      if [ $? -eq 0 ]; then
+        if test -n "$user"; then
+          args="-u $user"
+        fi
+        for ARG in $@
+        do
+          pgp -sba $ARG $args
+        done
+      fi
+    fi
+  fi
+}
+
+ls -l "${release}.tar.bz2" "${release}.zip"
+sign_file ${release}.tar.bz2 ${release}.zip
+echo ""
+echo "md5sums:"
+$MD5SUM "${release}.tar.bz2" "${release}.zip"
+echo ""
+echo "sha1sums:"
+$SHA1SUM "${release}.tar.bz2" "${release}.zip"
+echo ""



Mime
View raw message